Schedules
Create or update a schedule
Creates a new schedule or updates an existing schedule with the supplied definition.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
경로 매개 변수
id
string
필수
Identifier of the schedule.
헤더 매개 변수
Foundry-Features
enum
필수
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
요청 본문
The resource instance.
id
string
필수
Identifier of the schedule.
displayName
string
Name of the schedule.
description
string
Description of the schedule.
enabled
boolean
필수
Enabled status of the schedule.
provisioningStatus
string | enum
Schedule provisioning status.
enum
trigger
Cron | Recurrence | OneTime
필수
Base model for Trigger of the schedule.
Cron
CronTrigger
Cron based trigger.
type
enum
필수
expression
string
필수
Cron expression that defines the schedule frequency.
timeZone
string
Time zone for the cron schedule. Defaults to UTC.
startTime
string
Start time for the cron schedule in ISO 8601 format.
endTime
string
End time for the cron schedule in ISO 8601 format.
Recurrence
RecurrenceTrigger
Recurrence based trigger.
type
enum
필수
Type of the trigger.
startTime
string
Start time for the recurrence schedule in ISO 8601 format.
endTime
string
End time for the recurrence schedule in ISO 8601 format.
timeZone
string
Time zone for the recurrence schedule. Defaults to UTC.
interval
integer
필수
Interval for the recurrence schedule.
schedule
Hourly | Daily | Weekly | Monthly
필수
Recurrence schedule model.
Hourly
HourlyRecurrenceSchedule
Hourly recurrence schedule.
type
enum
필수
Daily
DailyRecurrenceSchedule
Daily recurrence schedule.
type
enum
필수
Daily recurrence type.
hours
integer[]
필수
Hours for the recurrence schedule.
Weekly
WeeklyRecurrenceSchedule
Weekly recurrence schedule.
type
enum
필수
Weekly recurrence type.
daysOfWeek
DayOfWeek[]
필수
Days of the week for the recurrence schedule.
Monthly
MonthlyRecurrenceSchedule
Monthly recurrence schedule.
type
enum
필수
Monthly recurrence type.
daysOfMonth
integer[]
필수
Days of the month for the recurrence schedule.
OneTime
OneTimeTrigger
One-time trigger.
type
enum
필수
triggerAt
string
필수
Date and time for the one-time trigger in ISO 8601 format.
timeZone
string
Time zone for the one-time trigger. Defaults to UTC.
task
Evaluation | Insight
필수
Schedule task model.
Evaluation
EvaluationScheduleTask
Evaluation task for the schedule.
type
enum
필수
evalId
string
필수
Identifier of the evaluation group.
evalRun
object
필수
The evaluation run payload.
Insight
InsightScheduleTask
Insight task for the schedule.
type
enum
필수
insight
Insight
필수
The response body for cluster insights.
id
string
필수
The unique identifier for the insights report.
metadata
InsightsMetadata
필수
Metadata about the insights.
createdAt
string
필수
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
필수
Enum describing allowed operation states.
enum
displayName
string
필수
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
필수
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
필수
The type of insights request.
evalId
string
필수
Evaluation Id for the insights.
runIds
string[]
필수
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
필수
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
필수
The type of request.
agentName
string
필수
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
필수
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
필수
The type of request.
evalId
string
필수
Identifier for the evaluation.
baselineRunId
string
필수
The baseline run ID for comparison.
treatmentRunIds
string[]
필수
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
필수
The type of insights result.
comparisons
EvalRunResultComparison[]
필수
Comparison results for each treatment run against the baseline.
method
string
필수
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
필수
The type of insights result.
clusterInsight
ClusterInsightResult
필수
Insights from the cluster analysis.
summary
InsightSummary
필수
Summary of the error cluster analysis.
sampleCount
integer
필수
Total number of samples analyzed.
uniqueSubclusterCount
integer
필수
Total number of unique subcluster labels.
uniqueClusterCount
integer
필수
Total number of unique clusters.
method
string
필수
Method used for clustering.
usage
ClusterTokenUsage
필수
Token usage for cluster analysis
inputTokenUsage
integer
필수
input token usage
outputTokenUsage
integer
필수
output token usage
totalTokenUsage
integer
필수
total token usage
clusters
InsightCluster[]
필수
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
필수
X-axis coordinate.
y
integer
필수
Y-axis coordinate.
size
integer
필수
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
필수
The type of insights result.
clusterInsight
ClusterInsightResult
필수
Insights from the cluster analysis.
summary
InsightSummary
필수
Summary of the error cluster analysis.
sampleCount
integer
필수
Total number of samples analyzed.
uniqueSubclusterCount
integer
필수
Total number of unique subcluster labels.
uniqueClusterCount
integer
필수
Total number of unique clusters.
method
string
필수
Method used for clustering.
usage
ClusterTokenUsage
필수
Token usage for cluster analysis
inputTokenUsage
integer
필수
input token usage
outputTokenUsage
integer
필수
output token usage
totalTokenUsage
integer
필수
total token usage
clusters
InsightCluster[]
필수
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
필수
X-axis coordinate.
y
integer
필수
Y-axis coordinate.
size
integer
필수
Size of the chart element.
tags
object
Schedule's tags. Unlike properties, tags are fully mutable.
properties
object
Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
systemData
object
필수
System metadata for the resource.
응답
The request has succeeded.
본문
id
string
필수
Identifier of the schedule.
displayName
string
Name of the schedule.
description
string
Description of the schedule.
enabled
boolean
필수
Enabled status of the schedule.
provisioningStatus
string | enum
Schedule provisioning status.
enum
trigger
Cron | Recurrence | OneTime
필수
Base model for Trigger of the schedule.
Cron
CronTrigger
Cron based trigger.
type
enum
필수
expression
string
필수
Cron expression that defines the schedule frequency.
timeZone
string
Time zone for the cron schedule. Defaults to UTC.
startTime
string
Start time for the cron schedule in ISO 8601 format.
endTime
string
End time for the cron schedule in ISO 8601 format.
Recurrence
RecurrenceTrigger
Recurrence based trigger.
type
enum
필수
Type of the trigger.
startTime
string
Start time for the recurrence schedule in ISO 8601 format.
endTime
string
End time for the recurrence schedule in ISO 8601 format.
timeZone
string
Time zone for the recurrence schedule. Defaults to UTC.
interval
integer
필수
Interval for the recurrence schedule.
schedule
Hourly | Daily | Weekly | Monthly
필수
Recurrence schedule model.
Hourly
HourlyRecurrenceSchedule
Hourly recurrence schedule.
type
enum
필수
Daily
DailyRecurrenceSchedule
Daily recurrence schedule.
type
enum
필수
Daily recurrence type.
hours
integer[]
필수
Hours for the recurrence schedule.
Weekly
WeeklyRecurrenceSchedule
Weekly recurrence schedule.
type
enum
필수
Weekly recurrence type.
daysOfWeek
DayOfWeek[]
필수
Days of the week for the recurrence schedule.
Monthly
MonthlyRecurrenceSchedule
Monthly recurrence schedule.
type
enum
필수
Monthly recurrence type.
daysOfMonth
integer[]
필수
Days of the month for the recurrence schedule.
OneTime
OneTimeTrigger
One-time trigger.
type
enum
필수
triggerAt
string
필수
Date and time for the one-time trigger in ISO 8601 format.
timeZone
string
Time zone for the one-time trigger. Defaults to UTC.
task
Evaluation | Insight
필수
Schedule task model.
Evaluation
EvaluationScheduleTask
Evaluation task for the schedule.
type
enum
필수
evalId
string
필수
Identifier of the evaluation group.
evalRun
object
필수
The evaluation run payload.
Insight
InsightScheduleTask
Insight task for the schedule.
type
enum
필수
insight
Insight
필수
The response body for cluster insights.
id
string
필수
The unique identifier for the insights report.
metadata
InsightsMetadata
필수
Metadata about the insights.
createdAt
string
필수
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
필수
Enum describing allowed operation states.
enum
displayName
string
필수
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
필수
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
필수
The type of insights request.
evalId
string
필수
Evaluation Id for the insights.
runIds
string[]
필수
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
필수
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
필수
The type of request.
agentName
string
필수
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
필수
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
필수
The type of request.
evalId
string
필수
Identifier for the evaluation.
baselineRunId
string
필수
The baseline run ID for comparison.
treatmentRunIds
string[]
필수
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
필수
The type of insights result.
comparisons
EvalRunResultComparison[]
필수
Comparison results for each treatment run against the baseline.
method
string
필수
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
필수
The type of insights result.
clusterInsight
ClusterInsightResult
필수
Insights from the cluster analysis.
summary
InsightSummary
필수
Summary of the error cluster analysis.
sampleCount
integer
필수
Total number of samples analyzed.
uniqueSubclusterCount
integer
필수
Total number of unique subcluster labels.
uniqueClusterCount
integer
필수
Total number of unique clusters.
method
string
필수
Method used for clustering.
usage
ClusterTokenUsage
필수
Token usage for cluster analysis
inputTokenUsage
integer
필수
input token usage
outputTokenUsage
integer
필수
output token usage
totalTokenUsage
integer
필수
total token usage
clusters
InsightCluster[]
필수
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
필수
X-axis coordinate.
y
integer
필수
Y-axis coordinate.
size
integer
필수
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
필수
The type of insights result.
clusterInsight
ClusterInsightResult
필수
Insights from the cluster analysis.
summary
InsightSummary
필수
Summary of the error cluster analysis.
sampleCount
integer
필수
Total number of samples analyzed.
uniqueSubclusterCount
integer
필수
Total number of unique subcluster labels.
uniqueClusterCount
integer
필수
Total number of unique clusters.
method
string
필수
Method used for clustering.
usage
ClusterTokenUsage
필수
Token usage for cluster analysis
inputTokenUsage
integer
필수
input token usage
outputTokenUsage
integer
필수
output token usage
totalTokenUsage
integer
필수
total token usage
clusters
InsightCluster[]
필수
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
필수
X-axis coordinate.
y
integer
필수
Y-axis coordinate.
size
integer
필수
Size of the chart element.
tags
object
Schedule's tags. Unlike properties, tags are fully mutable.
properties
object
Schedule's properties. Unlike tags, properties are add-only. Once added, a property cannot be removed.
systemData
object
필수
System metadata for the resource.
요청
PUT /schedules/{id} HTTP/1.1
응답
Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json